#!/usr/bin/perl 
format STDOUT =
    @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<  @##### @##### @#####    @<<< 
$label{$j},$data[$j],$data2[$j],$diff,$ok
.

$home = `echo \$HOME`;chomp($home);
$label{0}= "Converged?";
$label{1}= "VEM(d) excit. energy \(cm-1\) =";
$label{2}= "VEM(d) emiss. energy \(cm-1\) =";
$label{3}= "Number of VEM iterations    =";
$label{4}= "SMSSP correction \(cm-1\)     =";
$labelstart = 0;
$nlabels = 4;
sub collect {
open (FILE, "<$file");
@var="";
 while (<FILE>) {
  if (/EXCITED-STATE CONVERGENCE ACHIEVED for (\w+.\w+)/){
    $var[0]=$1;
  }
  if (/VEM\(d\) excitation energy \(cm-1\)\(iter\. (\d+)\)  =\s*([-]?\d+\.\d+)/){
    $var[1]=$2;
  }
  if (/VEM\(d\) emission energy \(cm-1\) =\s*([-]?\d+\.\d+)/){
    $var[2]=$1;
  }
  if (/VEM\(d\) excitation energy \(cm-1\)\(iter\. (\d+)\)  =\s*([-]?\d+\.\d+)/){
    $var[3]=$1;
  }
  if (/SMSSP dispersion gas-sol shift \(cm-1\)     = \s*([-]?\d+\.\d+)/){
    $var[4]=$1;
   }
 }
 close(FILE);
 return (@var);
}
foreach $i (0 .. $#ARGV) {
 $vemgauss = "$ARGV[$i]";
 @data = "";
 @data2 = "";
 @ok = "nok";
   $file = $vemgauss; 
   @data = collect  ($file);
   $file = "Output_VEMGAUSS/$file";
   @data2 = collect  ($file);
   print "\n";
   print "$ARGV[$i] (new versus sample output)\n";
 for $j ($labelstart .. $nlabels){
  if ($j == 0){
  if ("$data[$j]" eq "$data2[$j]"){
    print "Converged?   YES \n";
  }
  if ("$data[$j]" ne "$data2[$j]"){
    print "Converged?   NO!!!!!! \n";
  }
  } else {
 $ok = "?";
  if ($data2[$j] != 0.0){
    $diff=$data[$j] - $data2[$j];
   if ($diff == 0.0){
 $ok = "ok";  
   }
    write;
  }
  }
 }
} 

